summaryrefslogtreecommitdiffstats
path: root/source/a/sysklogd
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/sysklogd')
-rw-r--r--source/a/sysklogd/slack-desc8
-rwxr-xr-xsource/a/sysklogd/sysklogd.SlackBuild25
-rw-r--r--source/a/sysklogd/sysklogd.union.wait.int.diff11
3 files changed, 31 insertions, 13 deletions
diff --git a/source/a/sysklogd/slack-desc b/source/a/sysklogd/slack-desc
index 883782ccf..f20ffbe9d 100644
--- a/source/a/sysklogd/slack-desc
+++ b/source/a/sysklogd/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,7 +11,7 @@ sysklogd:
sysklogd: Dr. Greg Wettstein and Stephen Tweedie's syslogd/klogd.
sysklogd:
sysklogd: This package contains a modified version of syslogd for the Linux
-sysklogd: environment. An additional utility, klogd, is included which allows
+sysklogd: environment. An additional utility, klogd, is included which allows
sysklogd: kernel logging to be directed through the syslogd facility.
sysklogd: Syslogd and klogd are started when your system boots.
sysklogd:
diff --git a/source/a/sysklogd/sysklogd.SlackBuild b/source/a/sysklogd/sysklogd.SlackBuild
index b4b83f869..2fb38ac07 100755
--- a/source/a/sysklogd/sysklogd.SlackBuild
+++ b/source/a/sysklogd/sysklogd.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=sysklogd
VERSION=1.5.1
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -32,9 +34,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-sysklogd
@@ -57,6 +66,9 @@ zcat $CWD/use_memmove_not_strcpy.diff.gz | patch -p1 --verbose || exit 1
# Allow -c option to log all (even repeated) messages:
zcat $CWD/sysklogd.allow.repeated.messages.diff.gz | patch -p1 --verbose || exit 1
+# union wait removed in glibc, use int instead:
+zcat $CWD/sysklogd.union.wait.int.diff.gz | patch -p1 --verbose || exit 1
+
make all syslog_tst $NUMJOBS || make || exit 1
mkdir -p $PKG/usr/sbin
@@ -103,8 +115,3 @@ zcat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/sysklogd-$VERSION-$ARCH-$BUILD.txz
-# Clean up the extra stuff:
-if [ "$1" = "--cleanup" ]; then
- rm -rf $TMP/sysklogd-$VERSION
- rm -rf $PKG
-fi
diff --git a/source/a/sysklogd/sysklogd.union.wait.int.diff b/source/a/sysklogd/sysklogd.union.wait.int.diff
new file mode 100644
index 000000000..7bbc19447
--- /dev/null
+++ b/source/a/sysklogd/sysklogd.union.wait.int.diff
@@ -0,0 +1,11 @@
+--- ./syslogd.c.orig 2014-10-04 14:47:18.000000000 -0500
++++ ./syslogd.c 2018-02-03 15:04:06.324301613 -0600
+@@ -2094,7 +2094,7 @@
+ (void) signal(SIGCHLD, reapchild); /* reset signal handler -ASP */
+ wait ((int *)0);
+ #else
+- union wait status;
++ int status;
+
+ while (wait3(&status, WNOHANG, (struct rusage *) NULL) > 0)
+ ;